"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExampleHandler = void 0;
const common_1 = require("@nestjs/common");
const cqrs_1 = require("@nestjs/cqrs");
const src_1 = require("../../../../src");
const example_command_1 = require("../impl/example.command");
let ExampleHandler = class ExampleHandler {
    constructor(defaultContext, controllerContext) {
        this.defaultContext = defaultContext;
        this.controllerContext = controllerContext;
        this.logger = new common_1.Logger();
    }
    async execute(command) {
        this.defaultContext.set('example-handler', 'This is just a message from the handler');
        this.logger.debug(`Command handler printing ${this.defaultContext.get('example-top-level')}`);
        this.logger.debug(`Command handler printing ${this.defaultContext.get('example-top-level-di')}`);
        this.logger.debug(`Command handler printing ${this.defaultContext.get('example-controller')}`);
        this.logger.debug(`Command handler printing ${this.controllerContext.get('example-controller')}`);
        return `Command handler printing ${this.defaultContext.get('example-handler')}`;
    }
};
ExampleHandler = __decorate([
    cqrs_1.CommandHandler(example_command_1.ExampleCommand),
    __param(1, src_1.InjectContext('CONTROLLER_CONTEXT')),
    __metadata("design:paramtypes", [src_1.Context,
        src_1.Context])
], ExampleHandler);
exports.ExampleHandler = ExampleHandler;
