import { Logger } from '@nestjs/common';
import { ICommandHandler } from '@nestjs/cqrs';
import { ExampleCommand } from '../impl/example.command';
export declare class ExampleHandler implements ICommandHandler<ExampleCommand> {
    private readonly logger;
    private readonly correlationId;
    private readonly correlationIdAgain;
    constructor(logger: Logger);
    execute(command: ExampleCommand): Promise<string>;
}
