"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var AddJobController_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddJobController = void 0;
const common_1 = require("@nestjs/common");
const bull_1 = require("@nestjs/bull");
const constants_1 = require("../constants");
let AddJobController = AddJobController_1 = class AddJobController {
    constructor(queue) {
        this.queue = queue;
        this.logger = new common_1.Logger(AddJobController_1.name);
    }
    async addJob() {
        this.logger.log('Adding job');
        await this.queue.add({
            sms: 'my-example-data',
        });
    }
};
__decorate([
    common_1.Post('/add-job'),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], AddJobController.prototype, "addJob", null);
AddJobController = AddJobController_1 = __decorate([
    common_1.Controller(),
    __param(0, bull_1.InjectQueue(constants_1.EXAMPLE_QUEUE)),
    __metadata("design:paramtypes", [Object])
], AddJobController);
exports.AddJobController = AddJobController;
