"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("./constants");
const App = require("express");
const Arena = require('bull-arena');
const Bull = require('bull');
const arenaConfig = Arena({
    Bull,
    queues: [
        {
            name: constants_1.EXAMPLE_QUEUE,
            hostId: 'localhost',
        },
    ],
}, {
    basePath: '/arena',
});
const app = App();
app.use('/', arenaConfig);
