import { NestModule, MiddlewareConsumer, DynamicModule } from '@nestjs/common';
import { Context } from '../../nestjs-context';
import { CorrelationIdConfigInterface } from './interfaces';
import { CorrelationIdConfig } from './correlation-id.config';
export declare class CorrelationIdModule implements NestModule {
    private readonly config;
    private readonly context;
    static register(config?: CorrelationIdConfigInterface): DynamicModule;
    constructor(config: CorrelationIdConfig, context: Context);
    configure(consumer: MiddlewareConsumer): void;
}
