import { NestModule, MiddlewareConsumer } from '@nestjs/common';
import { Context } from '../../nestjs-context';
import { GcloudTraceService } from './services';
export declare class GcloudTraceModule implements NestModule {
    private readonly gcloudTracerService;
    private readonly context;
    private middlewaresConfigured;
    constructor(gcloudTracerService: GcloudTraceService, context: Context);
    configure(consumer: MiddlewareConsumer): void;
}
