import { Context } from '../../../nestjs-context';
import { GcloudTraceService } from '../services';
import { RequestType } from '../types/request.type';
declare type ResponseType = {
    set: (key: string, value: any) => void;
} & any;
declare type CorrelationTracerMiddlewareArguments = {
    gcloudTracerService: GcloudTraceService;
    contextService: Context;
};
export declare const gcloudTraceContextMiddleware: (args: CorrelationTracerMiddlewareArguments) => (req: RequestType, res: ResponseType, next: () => void) => Promise<void>;
export {};
