"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExampleHandler = void 0;
const cqrs_1 = require("@nestjs/cqrs");
const nestjs_correlation_id_1 = require("../../../../../nestjs-correlation-id");
const example_command_1 = require("../impl/example.command");
const src_1 = require("../../../../src");
let ExampleHandler = class ExampleHandler {
    constructor(logger) {
        this.logger = logger;
    }
    async execute(command) {
        this.logger.error('Handler error with class-defined context', `An error trace`);
        this.logger.log('An interpolation message: %o correlation-id %s', undefined, { try: 1 }, this.correlationId);
        return command;
    }
};
__decorate([
    nestjs_correlation_id_1.CorrelationId(),
    __metadata("design:type", String)
], ExampleHandler.prototype, "correlationId", void 0);
ExampleHandler = __decorate([
    cqrs_1.CommandHandler(example_command_1.ExampleCommand),
    __metadata("design:paramtypes", [src_1.PinoContextLogger])
], ExampleHandler);
exports.ExampleHandler = ExampleHandler;
