import { ConfigType, ModuleRegisterType, LogFieldsConfigType } from './types';
import { LogFieldsConfigKey } from './enums';
export declare class PinoContextConfig implements ConfigType {
    [LogFieldsConfigKey.FIELDS]: Required<LogFieldsConfigType>;
    [LogFieldsConfigKey.LABELS]: Required<LogFieldsConfigType>;
    loggerOptions: {};
    logFieldNames: {
        context: string;
        labels: string;
        trace: string;
    };
    constructor(config?: ModuleRegisterType);
    getFieldNameContext(): string;
    getFieldNameLabels(): string;
    getFieldNameTrace(): string;
}
