"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createStackdriverLoggerTool = void 0;
const nestjs_pino_context_1 = require("../nestjs-pino-context");
const stackdriver_config_tool_1 = require("./stackdriver-config.tool");
exports.createStackdriverLoggerTool = (configOrApp = {}, contextName) => {
    if (!nestjs_pino_context_1.isNestApplication(configOrApp)) {
        return nestjs_pino_context_1.createLoggerTool(stackdriver_config_tool_1.stackdriverConfigTool(configOrApp), contextName);
    }
    return nestjs_pino_context_1.createLoggerTool(configOrApp, contextName);
};
