import { ICommandHandler } from '@nestjs/cqrs';
import { Context } from '../../../../src';
import { ExampleCommand } from '../impl/example.command';
export declare class ExampleHandler implements ICommandHandler<ExampleCommand> {
    private readonly defaultContext;
    private readonly controllerContext;
    private logger;
    constructor(defaultContext: Context, controllerContext: Context);
    execute(command: ExampleCommand): Promise<string>;
}
