"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExampleController = void 0;
const common_1 = require("@nestjs/common");
const cqrs_1 = require("@nestjs/cqrs");
const src_1 = require("../../src");
const example_command_1 = require("./command/impl/example.command");
let ExampleController = class ExampleController {
    constructor(commandBus, defaultContext, controllerContext) {
        this.commandBus = commandBus;
        this.defaultContext = defaultContext;
        this.controllerContext = controllerContext;
        this.logger = new common_1.Logger();
    }
    async getShop(command) {
        this.defaultContext.set('example-controller', 'controller default context message');
        this.controllerContext.set('example-controller', 'controller decorator context message');
        this.logger.log(this.defaultContext.toString());
        return this.commandBus.execute(command);
    }
};
__decorate([
    common_1.Get('/example/:id'),
    __param(0, common_1.Param()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [example_command_1.ExampleCommand]),
    __metadata("design:returntype", Promise)
], ExampleController.prototype, "getShop", null);
ExampleController = __decorate([
    common_1.Controller(),
    __param(2, src_1.InjectContext('CONTROLLER_CONTEXT')),
    __metadata("design:paramtypes", [cqrs_1.CommandBus,
        src_1.Context,
        src_1.Context])
], ExampleController);
exports.ExampleController = ExampleController;
