"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var ContextModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContextModule = void 0;
const common_1 = require("@nestjs/common");
const context_1 = require("./context");
const inject_context_decorator_1 = require("./decorators/inject-context.decorator");
const default_context_1 = require("./default.context");
let ContextModule = ContextModule_1 = class ContextModule {
    static register() {
        ContextModule_1.decoratedProviders = inject_context_decorator_1.createProvidersForDecorated();
        let exports = ContextModule_1.decoratedProviders;
        let providers = ContextModule_1.decoratedProviders;
        const defaultContextProvider = {
            provide: context_1.Context,
            useValue: default_context_1.defaultContext,
        };
        providers.push(defaultContextProvider);
        exports.push(defaultContextProvider);
        return {
            global: true,
            module: ContextModule_1,
            providers,
            exports,
        };
    }
};
ContextModule = ContextModule_1 = __decorate([
    common_1.Global(),
    common_1.Module({})
], ContextModule);
exports.ContextModule = ContextModule;
