"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@nestjs/core");
const common_1 = require("@nestjs/common");
const example_module_1 = require("./example.module");
async function bootstrap() {
    const app = await core_1.NestFactory.create(example_module_1.ExampleModule);
    app.useGlobalPipes(new common_1.ValidationPipe({
        transform: true,
        validateCustomDecorators: true,
    }));
    return await app.listen(9191);
}
bootstrap();
