"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@nestjs/core");
const common_1 = require("@nestjs/common");
const add_job_module_1 = require("./add-job/add-job.module");
async function bootstrap() {
    const app = await core_1.NestFactory.create(add_job_module_1.AddJobModule);
    app.useGlobalPipes(new common_1.ValidationPipe({
        transform: true,
        validateCustomDecorators: true,
    }));
    await app.listen(9191);
}
bootstrap();
