"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("@nestjs/common");
const core_1 = require("@nestjs/core");
const processor_module_1 = require("./processor/processor.module");
async function bootstrap() {
    const app = await core_1.NestFactory.create(processor_module_1.ProcessorModule);
    try {
        await app.init();
    }
    catch (err) {
        const logger = new common_1.Logger();
        logger.error(`could not init nestjs app, error: ${err}\n exiting with code 5`);
        process.exit(5);
    }
}
bootstrap();
