"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var ExampleProcessor_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExampleProcessor = void 0;
const bull_1 = require("@nestjs/bull");
const common_1 = require("@nestjs/common");
const decorators_1 = require("../../../../src/decorators");
const constants_1 = require("../constants");
const set_correlation_id_from_1 = require("../../../../src/decorators/correlation-id/set-correlation-id.from");
let ExampleProcessor = ExampleProcessor_1 = class ExampleProcessor {
    constructor() {
        this.logger = new common_1.Logger(ExampleProcessor_1.name);
    }
    handle(job) {
        this.logger.log(`Correlation Id : ${this.correlationId} - jobId : ${job.id} - data : ${job.data.sms}`);
    }
};
__decorate([
    decorators_1.CorrelationId(),
    __metadata("design:type", String)
], ExampleProcessor.prototype, "correlationId", void 0);
__decorate([
    bull_1.Process(),
    set_correlation_id_from_1.SetCorrelationIdFrom('id'),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", void 0)
], ExampleProcessor.prototype, "handle", null);
ExampleProcessor = ExampleProcessor_1 = __decorate([
    bull_1.Processor(constants_1.EXAMPLE_QUEUE)
], ExampleProcessor);
exports.ExampleProcessor = ExampleProcessor;
