import { Context } from '../../../nestjs-context';
import { CorrelationIdConfig } from '../correlation-id.config';
declare type RequestType = {
    header: (key: string) => any;
    headers: Record<string, any>;
} & any;
declare type ResponseType = {
    set: (key: string, value: any) => void;
} & any;
declare type NextType = () => void;
declare type MiddlewareFxType = (req: RequestType, res: ResponseType, next: NextType) => void | Promise<void>;
export declare const correlationIdMiddleware: (config: CorrelationIdConfig, context?: Context) => MiddlewareFxType;
export {};
