"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var ExampleController_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExampleController = void 0;
const common_1 = require("@nestjs/common");
const nestjs_context_1 = require("../../../nestjs-context");
const src_1 = require("../../src");
let ExampleController = ExampleController_1 = class ExampleController {
    constructor(gcloudTracerService, context) {
        this.gcloudTracerService = gcloudTracerService;
        this.context = context;
        this.logger = new common_1.Logger(ExampleController_1.name);
    }
    async example(headers) {
        this.logger.debug(`Get current context id from gcloud tracer service: ${this.gcloudTracerService
            .get()
            .getCurrentContextId()}`);
        this.logger.debug(`Get gcloud trace context header value (used to force this request to be traced): ${headers[src_1.HEADER_GCLOUD_TRACE_CONTEXT]}`);
        return `Your Gcloud Tracer url is ${this.context.get(src_1.CONTEXT_GCLOUD_TRACE)}`;
    }
};
__decorate([
    common_1.Get('/example'),
    __param(0, common_1.Headers()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", Promise)
], ExampleController.prototype, "example", null);
ExampleController = ExampleController_1 = __decorate([
    common_1.Controller(),
    __metadata("design:paramtypes", [src_1.GcloudTraceService,
        nestjs_context_1.Context])
], ExampleController);
exports.ExampleController = ExampleController;
