import { ICommandHandler } from '@nestjs/cqrs';
import { ExampleCommand } from '../impl/example.command';
import { PinoContextLogger } from '../../../../src';
export declare class ExampleHandler implements ICommandHandler<ExampleCommand> {
    private readonly logger;
    private correlationId;
    constructor(logger: PinoContextLogger);
    execute(command: ExampleCommand): Promise<ExampleCommand>;
}
