import { Request } from 'express';
import { PredefinedConfig } from '../../src/enums';
export declare const loggerConfig: PredefinedConfig | {
    base: PredefinedConfig;
    logFieldNames: {
        trace: string;
    };
    labels: {
        env: ({
            label: string;
            value: string;
            path?: undefined;
        } | {
            label: string;
            path: string;
            value?: undefined;
        })[];
        request: ({
            label: string;
            pick: {
                headers: string[];
                query?: undefined;
                body?: undefined;
            };
            path?: undefined;
        } | {
            label: string;
            pick: {
                query: string[];
                body: string[];
                headers?: undefined;
            };
            path?: undefined;
        } | {
            label: string;
            pick: ({
                body: string[];
                params: string[];
                filter?: undefined;
            } | {
                body: string[];
                filter: (req: Request) => boolean;
                params?: undefined;
            })[];
            path?: undefined;
        } | {
            label: string;
            pick: {
                body: string[];
            }[];
            path: string;
        })[];
    };
};
