import { NestInterceptor, ExecutionContext, CallHandler } from '@nestjs/common';
import { Observable } from 'rxjs';
import { Context } from '../../nestjs-context';
import { PinoContextConfig } from './pino-context.config';
export declare class PinoContextRequestInterceptor implements NestInterceptor {
    private readonly context;
    private readonly config;
    constructor(context: Context, config: PinoContextConfig);
    intercept(context: ExecutionContext, next: CallHandler): Observable<any>;
    private addContextRequestValues;
    private addContextRequestValue;
}
